-- P5-3759 Batch 225

-- Delete invalid values for batch
DELETE FROM "product-products_fields" WHERE fieldid = 36 AND (value !~ '^batch\d+$' OR value IS null);

-- Adding batches for a products
INSERT  INTO "product-products_fields" (productid, fieldid, value)
SELECT  productid, 36, 'batch225'
  FROM  "product-products"
 WHERE  visible = 1 AND browsable = 1
   AND  NOT productid IN (
            SELECT productid FROM "product-products_fields"
             WHERE fieldid = 36
        )
 ORDER  BY productid
;
